QGIS Application - Bug report #18095
Grass algorithm outputs do not correctly work within models
2018-02-14 04:10 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25991
Description

"Extract layer extent" does not work in processing model in master if input layer is also a "final result".
The attached model is a simple test case. Try changing it so the output of v.to.rast is not a "final result", and everything will work!

Prepare algorithm: qgis:polygonfromlayerextent_2

Running Extract layer extent [2/2]

Input Parameters:

{ INPUT:, OUTPUT: 'memory:'}

Traceback (most recent call last): File "/usr/share/qgis/python/plugins/processing/algs/qgis/ExtentFromLayer.py", line 96, in
processAlgorithm fields, QgsWkbTypes.Polygon, layer.crs()) AttributeError: 'NoneType' object has no attribute 'crs'

History

#1 - 2018-02-14 05:22 AM - Nyall Dawson
- Category changed from Processing/QGIS to Processing/GRASS
- Subject changed from "Extract layer extent" does not work in processing model in QGIS 3 if input layer is also a "final result" to Grass algorithm outputs

do not correctly work within models

Specific to GRASS algorithms only.

#2 - 2018-09-25 04:00 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in 3.3

Files

model.model3 9.04 KB 2018-02-14 Alister Hood
